Bug 712533

Summary: [CYPRESS] System locks up randomly when opening/closing/resizing windows after recent kernel update to kernel-2.6.38.7-30.fc15.x86_64
Product: [Fedora] Fedora Reporter: Nikolaus Waxweiler <madigens>
Component: xorg-x11-drv-atiAssignee: Jerome Glisse <jglisse>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 15CC: aquini, dwmw2, elad, gansalmon, itamar, jglisse, jonathan, kernel-maint, lestertron, madhu.chinakonda, trevor, xgl-maint
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: [cat:lockup]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 727525 (view as bug list) Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
dmesg
none
/var/log/messages, shortened
none
Xorg.0.log
none
The only xorg.conf file I have, in xorg.conf.d none

Description Nikolaus Waxweiler 2011-06-10 17:30:58 EDT
Description of problem:
I'm having these system lock ups since the kernel update if my memory doesn't betray me. It doesn't always happen, just randomly once in a while while doing things with windows (nothing happened yet when just dragging them around). Audio playback stops, I can't move the mouse pointer and pressing the reset button once doesn't work, I have to hold it for a while so that the system forcibly powers off and back on again. 

Version-Release number of selected component (if applicable):
(Fully updated F15 system as of the time of this writing)
kernel-2.6.38.7-30.fc15.x86_64
xorg-x11-drv-ati-6.14.1-1.20110504gita6d2dba6.fc15.x86_64
libdrm-2.4.26-1.fc15.x86_64
mesa-dri-drivers-7.11-0.11.20110525.0.fc15.x86_64
mesa-dri-filesystem-7.11-0.11.20110525.0.fc15.x86_64
mesa-dri-llvmcore-7.11-0.11.20110525.0.fc15.x86_64
mesa-libGL-7.11-0.11.20110525.0.fc15.i686
mesa-libGL-7.11-0.11.20110525.0.fc15.x86_64
mesa-libGL-devel-7.11-0.11.20110525.0.fc15.x86_64
mesa-libGLU-7.11-0.11.20110525.0.fc15.i686
mesa-libGLU-7.11-0.11.20110525.0.fc15.x86_64
mesa-libGLU-devel-7.11-0.11.20110525.0.fc15.x86_64

Steps to Reproduce:
1. Open/close/resize windows repeatedly.
  
Actual results:
System locks up eventually.

Expected results:
No lock up.

Additional info:
My System is a Core i5-2500 on an Intel DH67CL (BIOS version 5/23/2011), 8GB of RAM with a Radeon 5870 (/sys/class/drm/card0/device/power_profile is set to auto, hovers at about 50°C)
Comment 1 Nikolaus Waxweiler 2011-06-10 17:44:52 EDT
Ugh, I was using kernel-2.6.38.6-27.fc15.x86_64 when writing the bug report, where I previously had no lock ups. After submitting the bug and clicking on "Bug 712533" at the top, the system froze again... so now I'm not sure if I categorized the bug report right. At first I thought this was related to the radeon-updates shipped with the newest kernel, but maybe it's something else. Sorry if this is noise :(
Comment 2 Elad Alfassa 2011-06-11 03:07:13 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Nikolaus Waxweiler 2011-06-11 19:03:52 EDT
Created attachment 504277 [details]
dmesg
Comment 4 Nikolaus Waxweiler 2011-06-11 19:04:31 EDT
Created attachment 504278 [details]
/var/log/messages, shortened
Comment 5 Nikolaus Waxweiler 2011-06-11 19:05:00 EDT
Created attachment 504279 [details]
Xorg.0.log
Comment 6 Nikolaus Waxweiler 2011-06-11 19:06:22 EDT
Comment on attachment 504279 [details]
Xorg.0.log

(side note: Xorg seems to configure my USB Audio DAC as a keyboard :D)
Comment 7 Nikolaus Waxweiler 2011-06-11 19:08:43 EDT
Created attachment 504281 [details]
The only xorg.conf file I have, in xorg.conf.d
Comment 8 Nikolaus Waxweiler 2011-06-11 19:11:53 EDT
Comment on attachment 504278 [details]
/var/log/messages, shortened

fixed wrong mime type
Comment 9 Nikolaus Waxweiler 2011-06-17 18:51:51 EDT
Happened again with kernel-2.6.38.8-32.fc15.x86_64, this time while switching virtual desktops in Gnome 3.
Comment 10 Nikolaus Waxweiler 2011-06-23 11:54:49 EDT
What can I do to help getting this fixed faster?
Comment 11 Jerome Glisse 2011-06-23 13:15:24 EDT
Lockup are not easy to fix, just update regulary, there have been some change lately that might help in this area.

There is no debug instruction that one can follow.
Comment 12 Nikolaus Waxweiler 2011-07-03 11:48:02 EDT
Still happens with xorg-x11-drv-ati-6.14.1-2.20110525gitfe5c42f51.fc15.x86_64.
Comment 13 Elad Alfassa 2011-07-03 11:54:51 EDT
Moving back to xorg-x11-drv-ati, I have no idea why you've moved it to the completely unrelated component 0xFFFF.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 14 Nikolaus Waxweiler 2011-07-14 10:07:59 EDT
Me? Didn't move anything, at least not knowingly.

Still happens with kernel-2.6.38.8-35.fc15.x86_64.
Comment 15 Nikolaus Waxweiler 2011-07-14 14:01:03 EDT
And it still happens with mesa-*-7.11-0.16.20110709.0.fc15.x86_64 from updates-testing.
Comment 16 Lester Wade 2011-07-18 05:20:33 EDT
I've recently installed Fedora 15 on my Mac Pro with ATI 5870 and it appears I'm hitting the same bug.  It's a real show stopper as otherwise everything is great.

madigens: Are you saying that this *didn't* happen for you with a certain kernel and driver version?  If so which versions?

FYI I'm using:

Kernel 2.6.38.8-35.fc15.x86_64
xorg-x11-drv-ati-6.14.1-2.20110525gitfe5c42f51.fc15.x86_64

I'm a bit concerned with the log files, there seems to be nothing useful related to the lock-up. Mine show pretty much the same stuff relating to madigens entries.  Happy to attach mine as well if it might help....
Comment 17 Nikolaus Waxweiler 2011-07-18 19:03:12 EDT
@Lester Wade: Yes, 2.6.38.6-27.fc15.x86_64 worked great and still does, because that's what I'm still running :) Would love to run the newest one, but this bug really is a show-stopper. only experienced 1 or maybe 2 lockups with this one. 38.7 and upwards all lock up randomly. Updating xorg-x11-drv-ati or mesa didn't help. So either it's a bug in the radeon patchset introduced in .7 or or the patchset is fine and exposes a bug in some other component.

By the way, I got a Netbook sitting here. Is there a way to redirect the logging from this PC to the Netbook via USB or something? Maybe something turns up just before the hang...
Comment 18 Nikolaus Waxweiler 2011-08-16 14:08:59 EDT
Still getting hangs in kernel-2.6.40-4.fc15.x86_64...
Comment 19 Nikolaus Waxweiler 2011-09-06 10:30:51 EDT
Still happens in kernel-2.6.40.3-0.fc15.x86_64.
Comment 20 Nikolaus Waxweiler 2011-09-12 10:21:02 EDT
Still happens with kernel-2.6.40.4-5.fc15.x86_64.
Comment 21 Nikolaus Waxweiler 2011-10-05 10:28:11 EDT
Still happens with kernel-2.6.40.6-0.fc15.x86_64.
Comment 22 Nikolaus Waxweiler 2011-10-08 14:50:05 EDT
Still happens with xorg-x11-drv-ati-6.14.2-1.20110921gitd78860ba5.fc15 and setting the power profile to low.
Comment 23 Nikolaus Waxweiler 2011-10-11 10:04:27 EDT
Apparently it's enough to load a webpage in Firefox 7.0.1 to hang the system.
Comment 24 Lester Wade 2011-10-13 04:27:54 EDT
I would like to also add that this still happens, mirroring the information madigens has given.  I admire your persistence but I'm not sure anyone is paying attention to this one :(
Comment 25 Nikolaus Waxweiler 2011-10-13 05:10:41 EDT
Nobody paying attention would mean I won't be able to use F16 and others which I refuse to believe. DAMMIT. Surely we can't be the only ones with these problems? I guess I'll go test Ubuntu 11.10 when it comes out this week. Maybe I'll have more luck there? And if not, Catalyst should be working with Unity...

Or I would have to rip out the changes after .38.6 somehow... could be a chance to learn about the kernel, git and maybe bisect, but I'd like to have my priorities elsewhere.
Comment 26 Nikolaus Waxweiler 2011-10-20 14:07:18 EDT
I've been using Ubuntu 11.10 (modified kernel 3.0.4 afaik) for a few days and had no hangs as of yet despite browsing the web and doing things!
Comment 27 Fedora End Of Life 2012-08-06 16:00:34 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 28 Fedora End Of Life 2012-08-06 16:01:18 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping